#!/usr/bin/make -f

export PYBUILD_NAME=__VDK_PYLIB_MODNAME__
export VDK_TEST__PYLIB_MODNAME=__VDK_PYLIB_MODNAME__
export PYBUILD_SYSTEM=distutils
export VDK_TEST__DEBUG=true

%:

	PREFIX=/usr dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	make pystuff
	EDITOR=/bin/true dpkg-source --commit . pystuff
	dh_auto_clean

override_dh_auto_test:
	__VDK_UTIL_DIR__/vdk_test mypy \
	 && __VDK_UTIL_DIR__/vdk_test doctest \
	 && __VDK_UTIL_DIR__/vdk_test unittest \
	 && __VDK_UTIL_DIR__/vdk_test pytest

override_dh_usrlocal:

	@true
